Subject: bug#8379: The width of linum window is not adjusted afterface-remapping

From: "Drew Adams" <[email-masked]>
Date: Thu, 31 Mar 2011 06:22:35 -0700

> I wonder if there is a pure and smart window adjusting function.

Did you look at face-remap+.el?  In what way does it not adjust the window as
needed?